- Appointment Ready: An appointment is booked in Junction using the patient’s address and the appointment’s date time. The scheduling is completely synchronous and fully controlled by Junction’s customers through our API.
- Appointment Request: An appointment is requested through the Junction system using the patient’s address. A phlebotomist will eventually assign themselves to the appointment and define the appointment’s date time with the patient.
| Getlabs | Phlebfinders (Beta) | |
|---|---|---|
| Appointment Ready | X | |
| Appointment Request | X |
appointment-request appointments will start in the pending status, and won’t have any time or date information.High Level flow for Appointment Scheduling

The recommended high-level flow for selecting an appointment at Junction is:
- Place an At-Home Phlebotomy order with the
POST /v3/orderendpoint. - Wait for the
Requisition Readystatus updates through our Webhooks. - Fetch Provider data via the
GET /v3/order/area/infoendpoint, the response payload should look like this:
- Select the Provider that best fits your needs.
- If you use the
POST /v3/order/{order_id}/phlebotomy/appointment/bookendpoint, anappointment-readyprovider is chosen on your behalf. - If you use the
POST /v3/order/{order_id}/phlebotomy/appointment/requestendpoint, you must select a provider that offers anappointment-requesttier.
- If you use the
- Wait for the
Appointment WebhooksandOrder Webhooksdescribed in the Webhooks section.